// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the LIBG7221_DECODE_EXPORTS
// symbol defined on the command line. This symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// LIBG7221_DECODE_API functions as being imported from a DLL, whereas this DLL sees symbols
// defined with this macro as being exported.
#ifdef LIBG7221_DECODE_EXPORTS
#define LIBG7221_DECODE_API __declspec(dllexport)
#else
#define LIBG7221_DECODE_API __declspec(dllimport)
#endif

typedef signed short int16_t;

typedef struct g7221_handle_s g7221_handle;

LIBG7221_DECODE_API g7221_handle * g7221_init(int bytes_per_frame, int bandwidth);

LIBG7221_DECODE_API void g7221_decode_frame(g7221_handle *handle, int16_t *code_words, int16_t *sample_buffer);

LIBG7221_DECODE_API void g7221_reset(g7221_handle *handle);

LIBG7221_DECODE_API void g7221_free(g7221_handle *handle);
